Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.common
Interface WLObjectInput

Deprecated. Use java.io.ObjectInput instead

public interface WLObjectInput
extends java.io.ObjectInput

This interface, which is implemented by the input streams set up between the WebLogic Server and its clients, is passed as an argument to the `readObject()` method in the interface WLSerializable.

Methods in this interface can be used by classes implementing the `readObject()` method in the weblogic.common.WLSerializable interface.

Author:
  Copyright (c) 1996-1998 WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `WLSerializable.readObject(weblogic.common.WLObjectInput)`, `WLObjectOutput`

Method Summary
`java.lang.String` | `readAbbrevString()` Deprecated. Reads an abbreviated string value from the input stream.
`com.sun.java.util.collections.ArrayList` | `readArrayList()` Deprecated. Reads a com.sun.java.util.collections.ArrayList from the input stream.
`java.lang.Object[]` | `readArrayOfConsistentObjects()` Deprecated. Reads an array of objects from the input stream where all objects are of the same class.
`java.lang.Object[]` | `readArrayOfObjects()` Deprecated. Reads an array of objects from the input stream.
`java.lang.String` | `readAscii()` Deprecated. Reads an ASCII string from the input stream.
`java.lang.Object` | `readBigDecimal()` Deprecated. Reads a java.math.BigDecimal (or xjava.math.BigDecimal) from the input stream.
`java.util.BitSet` | `readBitSet()` Deprecated. Reads a java.util.BitSet from the input stream.
`boolean[]` | `readBooleanArray()` Deprecated. Reads an array of booleans from the input stream.
`byte[]` | `readBytes()` Deprecated. Reads an array of bytes from the input stream.
`char[]` | `readCharArray()` Deprecated. Reads an array of chars from the input stream.
`java.util.Date` | `readDate()` Deprecated. Reads a java.util.Date from an input stream.
`double[]` | `readDoubleArray()` Deprecated. Reads an array of doubles from the input stream.
`double` | `readDoubler()` Deprecated. Reads a double value from the input stream.
`java.lang.Exception` | `readException()` Deprecated. Reads a propagated exception from the input stream.
`float[]` | `readFloatArray()` Deprecated. Reads an array of floats from the input stream.
`float` | `readFloater()` Deprecated. Reads a float value from the input stream.
`java.util.Hashtable` | `readHashtable()` Deprecated. Reads a java.util.Hashtable from the input stream.
`int[]` | `readIntArray()` Deprecated. Reads an array of ints from the input stream.
`int` | `readInteger()` Deprecated. Reads an int value from the input stream.
`long[]` | `readLongArray()` Deprecated. Reads an array of longs from the input stream.
`long` | `readLonger()` Deprecated. Reads a long value from the input stream.
`java.lang.Object` | `readObjectWL()` Deprecated. Reads a WebLogic serializable object from the input stream.
`ParamSet` | `readParamSet()` Deprecated. Reads a param set from the input stream.
`java.util.Properties` | `readProperties()` Deprecated. Reads a java.util properties object from the input stream.
`short[]` | `readShortArray()` Deprecated. Reads an array of shorts from the input stream.
`short` | `readShorter()` Deprecated. Reads a short value from the input stream.
`java.sql.Date` | `readSqlDate()` Deprecated. Reads a java.sql.Date from an input stream.
`java.lang.String` | `readString()` Deprecated. Reads a java.lang.String from the input stream.
`java.lang.Object` | `readTimestamp()` Deprecated. Reads a java.sql.Timestamp (or xjava.sql.Timestamp) from the input stream.
`java.util.Vector` | `readVector()` Deprecated. Reads a java.util.Vector from the input stream.

Methods inherited from interface java.io.ObjectInput
`available, close, read, read, read, readObject, skip`

Methods inherited from interface java.io.DataInput
`readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, skipBytes`

Method Detail

### readObjectWL

    public java.lang.Object readObjectWL()
                                  throws java.io.IOException,
                                         java.lang.ClassNotFoundException

  Deprecated.
  Reads a WebLogic serializable object from the input stream.

  Returns:
    Serialized object
  Throws:
    java.io.IOException - if there is an error during serialization
    java.lang.ClassNotFoundException - if the object is not available for read

### readAscii

    public java.lang.String readAscii()
                               throws java.io.IOException

  Deprecated.
  Reads an ASCII string from the input stream. (An ASCII string is simply a Latin-8 string without the high byte.)

  Returns:
    String read
  Throws:
    java.io.IOException - if there is an error during serialization

### readString

    public java.lang.String readString()
                                throws java.io.IOException

  Deprecated.
  Reads a java.lang.String from the input stream.

  Returns:
    String read
  Throws:
    java.io.IOException - if there is an error during serialization

### readParamSet

    public ParamSet readParamSet()
                          throws java.io.IOException

  Deprecated.
  Reads a param set from the input stream.

  Returns:
    ParamSet read
  Throws:
    java.io.IOException - if there is an error during serialization

### readException

    public java.lang.Exception readException()
                                      throws java.io.IOException,
                                             java.lang.ClassNotFoundException

  Deprecated.
  Reads a propagated exception from the input stream.

  Returns:
    Exception read
  Throws:
    java.io.IOException - if there is an error during serialization
    java.lang.ClassNotFoundException - if there is an error finding a class

### readDate

    public java.util.Date readDate()
                            throws java.io.IOException

  Deprecated.
  Reads a java.util.Date from an input stream.

  Returns:
    Date read
  Throws:
    java.io.IOException - if there is an error during serialization

### readSqlDate

    public java.sql.Date readSqlDate()
                              throws java.io.IOException

  Deprecated.
  Reads a java.sql.Date from an input stream.

  Returns:
    Date read
  Throws:
    java.io.IOException - if there is an error during serialization

### readVector

    public java.util.Vector readVector()
                                throws java.io.IOException,
                                       java.lang.ClassNotFoundException

  Deprecated.
  Reads a java.util.Vector from the input stream.

  Returns:
    Vector read
  Throws:
    java.io.IOException - if there is an error during serialization
    java.lang.ClassNotFoundException - if the object to be read is not available

### readArrayList

    public com.sun.java.util.collections.ArrayList readArrayList()
                                                          throws java.io.IOException,
                                                                 java.lang.ClassNotFoundException

  Deprecated.
  Reads a com.sun.java.util.collections.ArrayList from the input stream.

  Returns:
    ArrayList read
  Throws:
    java.io.IOException - if there is an error during serialization
    java.lang.ClassNotFoundException - if the object to be read is not available

### readBitSet

    public java.util.BitSet readBitSet()
                                throws java.io.IOException

  Deprecated.
  Reads a java.util.BitSet from the input stream.

  Returns:
    BitSet read
  Throws:
    java.io.IOException - if there is an error during serialization

### readHashtable

    public java.util.Hashtable readHashtable()
                                      throws java.io.IOException,
                                             java.lang.ClassNotFoundException

  Deprecated.
  Reads a java.util.Hashtable from the input stream.

  Returns:
    Hashtable read
  Throws:
    java.io.IOException - if there is an error during serialization
    java.lang.ClassNotFoundException - if the object to be read is not available

### readProperties

    public java.util.Properties readProperties()
                                        throws java.io.IOException

  Deprecated.
  Reads a java.util properties object from the input stream.

  Returns:
    Properties object
  Throws:
    java.io.IOException - if there is an error during serialization

### readTimestamp

    public java.lang.Object readTimestamp()
                                   throws java.io.IOException

  Deprecated.
  Reads a java.sql.Timestamp (or xjava.sql.Timestamp) from the input stream. This method returns an Object which can be cast to either a java.sql.Timestamp or a xjava.sql.Timestamp, depending on whether the T3Client was constructed with "usexjava" set to true or false.

  Returns:
    Timestamp read, as an Object
  Throws:
    java.io.IOException - if there is an error during serialization

### readBigDecimal

    public java.lang.Object readBigDecimal()
                                    throws java.io.IOException

  Deprecated.
  Reads a java.math.BigDecimal (or xjava.math.BigDecimal) from the input stream. This method returns an Object which can be cast to either a java.math.BigDecimal or an xjava.sql.BigDecimal, depending on whether the T3Client was constructed with "usexjava" set to true or false.

  Returns:
    BigDecimal read, as an Object
  Throws:
    java.io.IOException - if there is an error during serialization

### readBytes

    public byte[] readBytes()
                     throws java.io.IOException

  Deprecated.
  Reads an array of bytes from the input stream.

  Returns:
    Array of bytes
  Throws:
    java.io.IOException - if there is an error during serialization

### readBooleanArray

    public boolean[] readBooleanArray()
                               throws java.io.IOException

  Deprecated.
  Reads an array of booleans from the input stream.

  Returns:
    Array of booleans
  Throws:
    java.io.IOException - if there is an error during serialization

### readCharArray

    public char[] readCharArray()
                         throws java.io.IOException

  Deprecated.
  Reads an array of chars from the input stream.

  Returns:
    Array of chars
  Throws:
    java.io.IOException - if there is an error during serialization

### readDoubleArray

    public double[] readDoubleArray()
                             throws java.io.IOException

  Deprecated.
  Reads an array of doubles from the input stream.

  Returns:
    Array of doubles
  Throws:
    java.io.IOException - if there is an error during serialization

### readFloatArray

    public float[] readFloatArray()
                           throws java.io.IOException

  Deprecated.
  Reads an array of floats from the input stream.

  Returns:
    Array of floats
  Throws:
    java.io.IOException - if there is an error during serialization

### readIntArray

    public int[] readIntArray()
                       throws java.io.IOException

  Deprecated.
  Reads an array of ints from the input stream.

  Returns:
    Array of ints
  Throws:
    java.io.IOException - if there is an error during serialization

### readShortArray

    public short[] readShortArray()
                           throws java.io.IOException

  Deprecated.
  Reads an array of shorts from the input stream.

  Returns:
    Array of shorts
  Throws:
    java.io.IOException - if there is an error during serialization

### readLongArray

    public long[] readLongArray()
                         throws java.io.IOException

  Deprecated.
  Reads an array of longs from the input stream.

  Returns:
    Array of longs
  Throws:
    java.io.IOException - if there is an error during serialization

### readArrayOfObjects

    public java.lang.Object[] readArrayOfObjects()
                                          throws java.io.IOException,
                                                 java.lang.ClassNotFoundException

  Deprecated.
  Reads an array of objects from the input stream.

  Returns:
    Array of Objects
  Throws:
    java.io.IOException - if there is an error during serialization
    java.lang.ClassNotFoundException - if the object is not available for read

### readArrayOfConsistentObjects

    public java.lang.Object[] readArrayOfConsistentObjects()
                                                    throws java.io.IOException,
                                                           java.lang.ClassNotFoundException

  Deprecated.
  Reads an array of objects from the input stream where all objects are of the same class.

  Returns:
    Array of Objects
  Throws:
    java.io.IOException - if there is an error during serialization
    java.lang.ClassNotFoundException - if the object is not available for read

### readFloater

    public float readFloater()
                      throws java.io.IOException

  Deprecated.
  Reads a float value from the input stream.

  Returns:
    Float
  Throws:
    java.io.IOException - if there is an error during serialization

### readInteger

    public int readInteger()
                    throws java.io.IOException

  Deprecated.
  Reads an int value from the input stream.

  Returns:
    int
  Throws:
    java.io.IOException - if there is an error during serialization

### readShorter

    public short readShorter()
                      throws java.io.IOException

  Deprecated.
  Reads a short value from the input stream.

  Returns:
    Short
  Throws:
    java.io.IOException - if there is an error during serialization

### readDoubler

    public double readDoubler()
                       throws java.io.IOException

  Deprecated.
  Reads a double value from the input stream.

  Returns:
    Double
  Throws:
    java.io.IOException - if there is an error during serialization

### readLonger

    public long readLonger()
                    throws java.io.IOException

  Deprecated.
  Reads a long value from the input stream.

  Returns:
    Long
  Throws:
    java.io.IOException - if there is an error during serialization

### readAbbrevString

    public java.lang.String readAbbrevString()
                                      throws java.io.IOException

  Deprecated.
  Reads an abbreviated string value from the input stream. abbreviated strings are a more efficient way to send strings that reoccur frequently. readAbbrevString() only works for strings that were serialized with writeAbbrevString()

  Returns:
    String
  Throws:
    java.io.IOException - if there is an error during serialization

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD